/* Google fonts */
@font-face {
    font-family: "Titillium Web";
    src: url("Fonts/TitilliumWeb-Regular.ttf");
  }

@font-face {
    font-family: "Lato";
    src: url("Fonts/Lato-Regular.ttf");
  }

.dt {
    flex-wrap: wrap;
    color: blue;
}


/* figure caption */
figcaption {
    text-align: center;
    font-style: italic;
    font-weight:normal;
    font-size: 12pt;
    color: #000094;
}

figcaption:before {
    content: "Fig: ";
}

/* figure caption */
img + em {
    text-align: center;
    font-style: italic;
    font-weight:normal;
    font-size: 12pt;
    color: #000094;
}

img + em:before {
    content: "Fig: ";
}

/* table caption */
table + p > em {
    text-align: center;
    font-style: italic;
    font-weight:normal;
    font-size: 12pt;
    color: #000094;
}

table + p > em:before {
    content: "Table: ";
}

/* graph caption */
div.mermaid + p > em {
    text-align: center;
    font-style: italic;
    font-weight:normal;
    font-size: 12pt;
    color: #000094;
}

div.mermaid + p > em:before {
    content: "Graph: ";
}

/* content */
body {
    font-style: normal;
    font-weight: normal;
    font-family: "Titillium Web",sans-serif;
    color: #575756;
}

p {
    font-size: 12pt !important;
}

h1, h2, h3 {
    font-family: "Titillium Web",sans-serif;
    font-style: normal;
    font-weight: normal;
}

h1 {
    font-size: 18pt;
    color: #000094;
}

h2 {
    font-size:14pt;
    color:#000094
}

h3 {
    font-size:12pt;
    color:#6666bf
}

table {
    border-top: 6px solid rgb(185, 0, 255);
    border-bottom: 4px solid rgb(185, 0, 255);
}

td, th {
    /* border: 5px solid #fff !important; */
    border: 3px solid #fff !important;
    font-style:normal;
    color:#000094;
    padding: 1em;
}

th {
    font-size:12pt;
    font-family: "Titillium Web",sans-serif;
    background-color: #ECECEC;
}

td {
    font-weight:normal;
    font-size:11pt;
}

.stickynav {
    /* from https://cssgradient.io/ */
    background: rgb(185,0,255);
    background: linear-gradient(120deg, rgba(185,0,255,1) 0%, rgba(0,0,148,1) 100%, rgba(45,79,85,1) 100%); 
}

.wy-side-nav-search {
    background: none;
}

/* overwrite https://github.com/orzih/mkdocs-with-pdf/blob/master/mkdocs_with_pdf/templates/default_cover.html.j2 */
/* overwrite https://github.com/orzih/mkdocs-with-pdf/blob/master/mkdocs_with_pdf/styles/_heading.scss */

h1 {
    border-bottom: 2px solid rgba(185,0,255, 1.0) !important;
}

h2 {
    border-bottom: 1px solid rgba(185,0,255, 0.5) !important;
}

h3 {
    border-bottom: 0.5px solid rgba(185,0,255, 0.2) !important;
}

#doc-cover h1 {
    color: #ffffff;
    border-bottom: 3px solid rgba(185,0,255, 1.0) !important;
}

#doc-cover h2 {
    color: #ffffff;
    border-bottom: none !important;
}

#author, #copyright {
    color: #ffffff;
}

/* canvas hack to disable anti-aliasing */
canvas {
    image-rendering: optimizeSpeed;             /* Older versions of FF          */
    image-rendering: -moz-crisp-edges;          /* FF 6.0+                       */
    image-rendering: -webkit-optimize-contrast; /* Safari                        */
    image-rendering: -o-crisp-edges;            /* OS X & Windows Opera (12.02+) */
    image-rendering: pixelated;                 /* Awesome future-browsers       */
    -ms-interpolation-mode: nearest-neighbor;   /* IE                            */
}

/* Graph */
div.mermaid text {
    font-family: "Titillium Web",sans-serif !important;
    /* font-family: 'Lato' !important; */
    font-size: 11pt !important;
}

div.mermaid .label {
    font-family: "Titillium Web",sans-serif !important;
    /* font-family: 'Lato' !important; */
    font-size: 11pt !important;
}

/* page options */
@page {
    size: A4; 
}
  
@page :first {
    background-image: url("figures/background-title.png");
    background-repeat: no-repeat;
    margin: 0;
    padding: 1cm;
}
